> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/mobile-app/update-profile.md).

# Update Profile

## POST /api/Public/MobUpdateProfile/UpdateProfile

> Update profile

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"MobUpdateProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.ViewModels.UserViewModel":{"required":["emailID","name"],"type":"object","properties":{"subscriberId":{"type":"integer","format":"int32"},"name":{"maxLength":100,"minLength":0,"type":"string"},"emailID":{"maxLength":100,"minLength":0,"type":"string","format":"email"},"designation":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"companyName":{"maxLength":100,"minLength":0,"type":"string","nullable":true},"state":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"city":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"country":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"address":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"mobileNumber":{"maxLength":20,"minLength":0,"type":"string","nullable":true},"countryCode":{"maxLength":5,"minLength":0,"type":"string","nullable":true},"isAdmin":{"type":"boolean"},"alternativeEmailId":{"maxLength":100,"minLength":0,"type":"string","format":"email","nullable":true},"departmentID":{"type":"integer","format":"int32"},"signatureType":{"type":"integer","format":"int32"},"userRoleId":{"type":"integer","format":"int32"},"internalUser2FA":{"type":"boolean"},"signatureOption":{"type":"integer","format":"int32"},"allowAccessToUser":{"type":"boolean"},"hsmCertificateID":{"type":"integer","format":"int32"},"loginAuthentication":{"type":"integer","format":"int32"},"nationalId":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"zipCode":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/Public/MobUpdateProfile/UpdateProfile":{"post":{"tags":["MobUpdateProfile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.UserViewModel"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"Update profile","operationId":"post_MobUpdateProfile_UpdateProfile"}}}}
```
